package info.kofler.recycler2

import android.content.res.AssetManager


class Country(val name: String,
              val area: Double,
              val population: Int,
              val capital: String,
              var isSelected: Boolean = false)
{
    // 'statische' Methode initFromAssets
    companion object {
        fun initFromAssets(asm : AssetManager): List<Country> {
            val countries = mutableListOf<Country>()
            val inps = asm.open("bundesländer.txt")  // InputStream
            // die folgende Schleife erfordert API-Level 24 = Android 7
            for (line in inps.bufferedReader().lines() ) {
                val values = line.split(";")
                if (values.size == 4) {
                    val area  = values[1].toDoubleOrNull() ?: 0.0
                    val popul = values[2].toIntOrNull() ?: 0
                    countries.add(
                        Country(values[0], area, popul,  values[3])
                    )
                }
            }
            return countries
        }
    }

}