package info.kofler.recycler2

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.recyclerview.widget.DividerItemDecoration
import androidx.recyclerview.widget.LinearLayoutManager
import info.kofler.recycler2.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity() {
    private lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        // Bundesländer-Liste aus bundesländer.txt laden
        val countries = Country.initFromAssets(assets)
        val divider = DividerItemDecoration(applicationContext,
             DividerItemDecoration.VERTICAL )
        binding.recycCountries.layoutManager = LinearLayoutManager(this)
        binding.recycCountries.addItemDecoration(divider)
        binding.recycCountries.adapter = CountryAdapter(countries, this)
    }
}
